#include "includes.h"

extern tsEDK 	EDK;
extern tsAppCB  appCB;

   	 

/******************************************************************************
//	GpioService
//
//  hlvni funkce obsluhy vsech IO - nacte vstupy a obslouzi vystupy
******************************************************************************/
void GpioService(void)
{
	
	UpdateLedState();				// prekresleni stavu LED

	UpdateBuzzerState();			// aktualizace piskace

	UpdateRelayState();				// aktualizace stavu rele

	UpdateDIPState();				// aktualizace pri zmene DIPU

   #ifndef INTERFACE_RS	
	UpdateInputStateEDK();			// aktualizace LED + BUZZER v rezimu EDK a WIEGAND
   #endif

   #if defined INTERFACE_RS	
   	UpdateInputStateRS();			// aktualizace LED + BUZZER v rezimu RS
   #endif
   
   ProccessLED();
   
   ProccessBuzzer();

}			// konec funkce GpioService()



